Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/lxappearance-obconf APKBUILD

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Wed, 17 Sep 2014 07:54:37 +0400

---
 aports/testing/lxappearance-obconf/APKBUILD        | 37 ++++++++++++++++
 .../lxappearance-obconf/obconf-rrbutton.patch      | 49 ++++++++++++++++++++++
 2 files changed, 86 insertions(+)
 create mode 100644 aports/testing/lxappearance-obconf/APKBUILD
 create mode 100644 aports/testing/lxappearance-obconf/obconf-rrbutton.patch
diff --git a/aports/testing/lxappearance-obconf/APKBUILD b/aports/testing/lxappearance-obconf/APKBUILD
new file mode 100644
index 0000000..1ac6624
--- /dev/null
+++ b/aports/testing/lxappearance-obconf/APKBUILD
_at_@ -0,0 +1,37 @@
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski_at_alpinelinux.org>
+
+pkgname=lxappearance-obconf
+pkgver=0.2.0
+pkgrel=0
+pkgdesc='Plugin for LXAppearance to configure Openbox'
+arch='all'
+license='GPL2'
+url='http://lxde.org/'
+makedepends='gtk+2.0-dev lxappearance-dev openbox-dev intltool'
+options='libtool'
+source="http://downloads.sourceforge.net/lxde/$pkgname-$pkgver.tar.gz
+        obconf-rrbutton.patch"
+
+prepare() {
+  cd "$srcdir/$pkgname-$pkgver"
+  patch -Np1 -i ../obconf-rrbutton.patch || return 1
+}
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --disable-static || return 1
+  make || return 1
+}
+
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="8bf23c90febe6a655e0f86c80e44725d  lxappearance-obconf-0.2.0.tar.gz
+73cd418ff8dc68a76538fc829d6260c7  obconf-rrbutton.patch"
+sha256sums="b7cfda429b0bd6ed5cca1b3ba9fe3f7bc058f978739cad9817dddd181a1d6692  lxappearance-obconf-0.2.0.tar.gz
+12a93e653ba281da48d307234d6335002e3d671e1628ee2a95776e92d93ca48e  obconf-rrbutton.patch"
+sha512sums="51635e37a5d0e13cc6cc3ee8c7361239b7984d25233358e73684ebe475671012d698141508f373e368d999ed120ce0b8b2ba0642b20b025382b8d439b5ebe348  lxappearance-obconf-0.2.0.tar.gz
+a2d25782d23fe3ef0082dfd004ad5dd4070617887569e20abd3a4c311349ab15e158db637e5924aeed092f0154bcfdb83569353d84ac57a6c1daeae8eae3fc54  obconf-rrbutton.patch"
diff --git a/aports/testing/lxappearance-obconf/obconf-rrbutton.patch b/aports/testing/lxappearance-obconf/obconf-rrbutton.patch
new file mode 100644
index 0000000..334a9db
--- /dev/null
+++ b/aports/testing/lxappearance-obconf/obconf-rrbutton.patch
_at_@ -0,0 +1,49 @@
+commit 9cffa6a9ddfc4074f3de8d0302404d70c2818d8f
+Author: Markos Chandras <hwoarang_at_gentoo.org>
+Date:   Fri Aug 5 16:24:57 2011 +0100
+
+    Use new RrButton structure
+
+diff --git a/src/preview.c b/src/preview.c
+index a82cf15..320e7ac 100644
+--- a/src/preview.c
++++ b/src/preview.c
+_at_@ -327,28 +327,28 @@ static GdkPixbuf* preview_window(RrTheme *theme, const gchar *titlelayout,
+             switch (*layout) {
+             case 'D':
+                 a = focus ?
+-                    theme->a_focused_unpressed_desk :
+-                    theme->a_unfocused_unpressed_desk;
++                    theme->btn_desk->a_focused_unpressed :
++                    theme->btn_desk->a_unfocused_unpressed;
+                 break;
+             case 'S':
+                 a = focus ?
+-                    theme->a_focused_unpressed_shade :
+-                    theme->a_unfocused_unpressed_shade;
++                    theme->btn_shade->a_focused_unpressed :
++                    theme->btn_shade->a_unfocused_unpressed;
+                 break;
+             case 'I':
+                 a = focus ?
+-                    theme->a_focused_unpressed_iconify :
+-                    theme->a_unfocused_unpressed_iconify;
++                    theme->btn_iconify->a_focused_unpressed :
++                    theme->btn_iconify->a_unfocused_unpressed;
+                 break;
+             case 'M':
+                 a = focus ?
+-                    theme->a_focused_unpressed_max :
+-                    theme->a_unfocused_unpressed_max;
++                    theme->btn_max->a_focused_unpressed :
++                    theme->btn_max->a_unfocused_unpressed;
+                 break;
+             case 'C':
+                 a = focus ?
+-                    theme->a_focused_unpressed_close :
+-                    theme->a_unfocused_unpressed_close;
++                    theme->btn_close->a_focused_unpressed :
++                    theme->btn_close->a_unfocused_unpressed;
+                 break;
+             default:
+                 continue;
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Sep 17 2014 - 07:54:37 UTC